I checked the emails from our SMT server this morning and found the following:
WARNING: The following repositories cannot be mirrored.
Maybe you have not enough permissions to download these repositories?

* OES2-SP2-Updates sles-10-x86_64
* SLES10-SP2-Updates sles-10-x86_64
* SLES10-SP3-Online sles-10-x86_64
* SLES11-SP2-Updates sle-11-x86_64
* SLE11-SP1-SMT-Updates sle-11-x86_64
* SLES11-SP3-Updates sle-11-i586
* OES11-SP1-Updates sle-11-x86_64
* Mobility-1.2-Updates sle-11-x86_64
* SLES11-SP1-Updates sle-11-x86_64
* SLE11-HAE-SP1-Updates sle-11-x86_64
* SLES10-SP4-Updates sles-10-x86_64
* OES11-SP2-Updates sle-11-x86_64
* SLES10-SP3-Updates sles-10-x86_64
* SLED11-SP3-Updates sle-11-x86_64
* OES2-SP3-Pool sles-10-x86_64
* OES2-SP3-Updates sles-10-x86_64
* SLES10-SP4-Online sles-10-x86_64
* SLES11-SP2-Updates sle-11-i586

Our subscriptions are current and the Customer centre lists all our products correctly.
Running smt-catalogs -o on the server gives:
.------------------------------------------------------------------------------------------------------------------------------------.
| Mirror? | ID | Type | Name | Target | Description | Can be Mirrored | Staging |
+---------+----+------+-----------------------+----------------+-----------------------------------------+-----------------+---------+
| Yes | 1 | nu | Mobility-1.2-Updates | sle-11-x86_64 | Mobility-1.2-Updates for sle-11-x86_64 | No | No |
| Yes | 2 | nu | OES11-SP1-Updates | sle-11-x86_64 | OES11-SP1-Updates for sle-11-x86_64 | No | No |
| Yes | 3 | nu | OES11-SP2-Updates | sle-11-x86_64 | OES11-SP2-Updates for sle-11-x86_64 | No | No |
| Yes | 4 | nu | OES2-SP2-Updates | sles-10-x86_64 | OES2-SP2-Updates for sles-10-x86_64 | No | No |
| Yes | 5 | nu | OES2-SP3-Pool | sles-10-x86_64 | OES2-SP3-Pool for sles-10-x86_64 | No | No |
| Yes | 6 | nu | OES2-SP3-Updates | sles-10-x86_64 | OES2-SP3-Updates for sles-10-x86_64 | No | No |
| Yes | 7 | nu | SLE11-HAE-SP1-Updates | sle-11-x86_64 | SLE11-HAE-SP1-Updates for sle-11-x86_64 | No | No |
| Yes | 8 | nu | SLE11-SP1-SMT-Updates | sle-11-x86_64 | SLE11-SP1-SMT-Updates for sle-11-x86_64 | No | No |
| Yes | 9 | nu | SLED11-SP3-Updates | sle-11-x86_64 | SLED11-SP3-Updates for sle-11-x86_64 | No | No |
| Yes | 10 | nu | SLES10-SP2-Updates | sles-10-x86_64 | SLES10-SP2-Updates for sles-10-x86_64 | No | No |
| Yes | 11 | nu | SLES10-SP3-Online | sles-10-x86_64 | SLES10-SP3-Online for sles-10-x86_64 | No | No |
| Yes | 12 | nu | SLES10-SP3-Updates | sles-10-x86_64 | SLES10-SP3-Updates for sles-10-x86_64 | No | No |
| Yes | 13 | nu | SLES10-SP4-Online | sles-10-x86_64 | SLES10-SP4-Online for sles-10-x86_64 | No | No |
| Yes | 14 | nu | SLES10-SP4-Updates | sles-10-x86_64 | SLES10-SP4-Updates for sles-10-x86_64 | No | No |
| Yes | 15 | nu | SLES11-SP1-Updates | sle-11-x86_64 | SLES11-SP1-Updates for sle-11-x86_64 | No | No |
| Yes | 16 | nu | SLES11-SP2-Updates | sle-11-i586 | SLES11-SP2-Updates for sle-11-i586 | No | No |
| Yes | 17 | nu | SLES11-SP2-Updates | sle-11-x86_64 | SLES11-SP2-Updates for sle-11-x86_64 | No | No |
| Yes | 18 | nu | SLES11-SP3-Updates | sle-11-i586 | SLES11-SP3-Updates for sle-11-i586 | No | No |
'---------+----+------+-----------------------+----------------+-----------------------------------------+-----------------+---------'

I ran YaST2 smt-server on the server and checked the CC details there and clicked the Test button which returns Success, so our login is working.
When I run YaST2 smt I only see the Opensuse & graphics card driver repos listed.